Resources
Export Audit Log (CSV)
Download the audit log as a streamed CSV file.
GET
/
api
/
v1
/
audit
/
export
Export Audit Log (CSV)
curl --request GET \
--url https://api.example.com/api/v1/audit/exportimport requests
url = "https://api.example.com/api/v1/audit/export"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/audit/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/audit/export",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/audit/export"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/v1/audit/export")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/audit/export")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodyStreams matching audit entries as a CSV attachment. Without
orgId, the export is scoped to your own entries.
Authentication
Requires an API key withbilling scope. Org-scoped exports additionally require the View audit log permission for that organization.
Query Parameters
string
Export entries for this organization instead of your personal entries.
string
Filter to a single action (e.g.,
completion.created).string
ISO timestamp lower bound (inclusive).
string
ISO timestamp upper bound (inclusive).
Response
Content-Type: text/csv attachment. Columns:
timestamp,action,entity_type,entity_id,model_id,ip_address,user_agent,route,input_summary,output_summary
Example
curl
curl -L "https://www.hitheo.ai/api/v1/audit/export?from=2026-05-01&to=2026-06-01" \
-H "Authorization: Bearer $THEO_API_KEY" \
-o theo-audit-log.csv
Was this page helpful?
Export Audit Log (CSV)
curl --request GET \
--url https://api.example.com/api/v1/audit/exportimport requests
url = "https://api.example.com/api/v1/audit/export"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/audit/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/audit/export",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/audit/export"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/v1/audit/export")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/audit/export")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body